MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024820Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-04-10 13:082014-05-05 13:39
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024820: CLang compiler warning -Wreturn-stack-address
DescriptionCLang compiler highlights a flaw in the code:

/Users/mnt/tools/WOK670/wok_entities/LOC/dev/CR671-master-occt/src/BOPDS/BOPDS_DS.cxx:1112:10: warning: reference to stack memory associated with local variable 'aNullCB' returned [-Wreturn-stack-address]
Additional information
and documentation updates
The signature of the function BOPDS_DS::CommonBlock(const Handle(BOPDS_PaveBlock)& thePB) has been changed to return handle, not a reference to handle.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028845)
emv (developer)
2014-04-15 16:29

Git branch CR24820 is ready to be reviewed.
(0028858)
abv (manager)
2014-04-16 09:12

Reviewed without remarks, please test.

As general remark: making such simple methods inline could be useful for gaining more performance.
(0028959)
mkv (tester)
2014-04-18 12:30

Dear BugMaster,

Branch CR24820 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d6985d3be034d86b38d7be534da94db341edd9b5

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 412 (413 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 352633560 / 352642984
Total CPU difference: 52863.290000000066 / 67343.19000000024

Testing on Windows:
Total MEMORY difference: 381164796 / 380717640
Total CPU difference: 38980.890625 / 39760.234375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 819f58c7
Timestamp: 2014-04-15 12:07:02
Author: abv
Committer: abv
Details ] Diff ]
0024820: CLang compiler warning -Wreturn-stack-address
The signature of the function BOPDS_DS::CommonBlock(const Handle(BOPDS_PaveBlock)& thePB)
has been changed to return handle, not a reference to handle.
mod - src/BOPDS/BOPDS_DS.cdl Diff ] File ]
mod - src/BOPDS/BOPDS_DS.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-10 13:08 abv New Issue
2014-04-10 13:08 abv Assigned To => emv
2014-04-10 13:08 abv Status new => assigned
2014-04-15 16:29 emv Note Added: 0028845
2014-04-15 16:29 emv Assigned To emv => abv
2014-04-15 16:29 emv Status assigned => resolved
2014-04-15 16:29 emv Additional Information Updated View Revisions
2014-04-16 09:12 abv Note Added: 0028858
2014-04-16 09:12 abv Assigned To abv => bugmaster
2014-04-16 09:12 abv Status resolved => reviewed
2014-04-16 12:29 mkv Assigned To bugmaster => mkv
2014-04-18 12:30 mkv Note Added: 0028959
2014-04-18 16:35 mkv Test case number => Not needed
2014-04-18 16:35 mkv Assigned To mkv => bugmaster
2014-04-18 16:35 mkv Status reviewed => tested
2014-04-28 10:27 abv Changeset attached => occt master 819f58c7
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker